Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005770TestLinkBug Tracking System - JIRA Integrationpublic2013-06-11 16:582013-08-16 09:55
Reporterbourry 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformLinux Mysql OSLunixOS Versioncentos
Product Version1.9.7 (2013 Q2 - bug fixing) 
Fixed in Version1.9.8 (2013 Q3 - bug fixing) 
Summary0005770: The issue field (eg JIRA) ahs limited caracter number (16) how to increase it ?
DescriptionWe have issue regarding issue alias, because the number of caracters are limited to 16 for issue number.

We are using JIRA and the JIRA key is an alphbetic name - number (auto numbering). Based on that we have some project where the issue key is greater than 16 caracter.

How can we increase this field to get an issue link working in case of issue key greater than 16 caracters.
Steps To ReproduceGet an issue key greater than 16 caracter try to link the issue you cannot.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
BrowserIE / Firefox ..
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
child of 0005731closedfman Availables hot-fixes for 1.9.7 & How To get full fixed package from gitorious 

-  Notes
(0019362)
fman (administrator)
2013-08-05 10:48
edited on: 2013-08-05 10:49

changes to db tables is firts step
CREATE TABLE /*prefix*/execution_bugs (
  `execution_id` int(10) unsigned NOT NULL default '0',
  `bug_id` varchar(16) NOT NULL default '0', => varchar(64)
  PRIMARY KEY (`execution_id`,`bug_id`)
) DEFAULT CHARSET=utf8;

then on input_dimensions.conf

[bugAdd]
BUGID_SIZE=16 => 64
BUGID_MAXLEN=16 => 64

or maybe 100 instead of 64

(0019363)
fman (administrator)
2013-08-05 10:53

Fro FRESH install
http://gitorious.org/testlink-ga/testlink-code/commit/f9055226cb074d783f1a4cee076600654123e776 [^]


still missing alter to update existent installation
(0019364)
fman (administrator)
2013-08-05 12:38

you also need to change on issueTrackerInterface.php

    function getBugIDMaxLength()
    {
        // CRITIC: related to execution_bugs table, you can not make it
        // greater WITHOUT changing table structure.
        //
        return 16;
    }
(0019430)
fman (administrator)
2013-08-16 09:54

having some kind of feedback will be kindly

- Issue History
Date Modified Username Field Change
2013-06-11 16:58 bourry New Issue
2013-08-05 10:48 fman Note Added: 0019362
2013-08-05 10:49 fman Note Edited: 0019362 View Revisions
2013-08-05 10:50 fman Product Version => 1.9.7 (2013 Q2 - bug fixing)
2013-08-05 10:50 fman Steps to Reproduce Updated View Revisions
2013-08-05 10:53 fman Note Added: 0019363
2013-08-05 10:54 fman Assigned To => fman
2013-08-05 10:54 fman Status new => assigned
2013-08-05 12:38 fman Note Added: 0019364
2013-08-16 09:54 fman Note Added: 0019430
2013-08-16 09:54 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2013-08-16 09:54 fman Status assigned => closed
2013-08-16 09:54 fman Resolution open => fixed
2013-08-16 09:54 fman Fixed in Version => 1.9.8 (2013 Q3 - bug fixing)
2013-08-16 09:55 fman Relationship added child of 0005731



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker